import { asyncPool } from '@fuman/utils'
import { argv, question } from 'zx'
import { counterIter } from '../../utils/counter.ts'

const url = argv[1] || await question('url > ')
const count = argv[2] || await question('count > ')

const counter = counterIter(0, count)

await asyncPool(counter.iter, async (i) => {
  if (i % 100 === 0) {
    console.log('currently at %d', i)
  }
  await fetch(url)
})

console.log('nakrutka done')
